require "defines"

game.onevent(defines.events.onguiclick, function(event)
	local elem= event.element
	if elem.name == "trashbinguibutton" then
		local player = game.players[event.element.playerindex]
			if (player) then
				player.cursorstack = nil
			end
	end
end)

game.onevent(defines.events.onplayercreated, function(event)
	local player = game.getplayer(event.playerindex)
	if (player.gui.top.trashbingui ~= nil) then
		player.gui.top.trashbingui.destroy()
	end
	player.gui.top.add({ name="trashbingui", type="frame", direction="vertical", style = "trashbin-frame"})
	player.gui.top.trashbingui.add({ name="trashbinguibutton", type="button", style = "trashbin-button"})
end)

game.oninit(function()
	for k,v in pairs(game.players) do
		local player = game.getplayer(v.name)
		if (player.gui.top.trashbingui == nil) then
			player.gui.top.add({ name="trashbingui", type="frame", direction="vertical", style = "trashbin-frame"})
			player.gui.top.trashbingui.add({ name="trashbinguibutton", type="button", style = "trashbin-button"})
		end
	end
	-- local player = game.getplayer(1)
end)
